Bug 80501 - "Add Option" for Dynamic Library
"Add Option" for Dynamic Library
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
5.x
All All
: P4 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
projectconfiguration
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 17:25 UTC by dnikitin
Modified: 2007-05-28 13:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dnikitin 2006-07-18 17:25:19 UTC
Project Properties dialog box. 
Configuration Type = Dynamic Library.

Configuration Properties --> Linker --> Libraries (Libraries dialog box)

Press "Add Option.." button to open "Select option" dialog box.

several IZs:
1. Button "Add Option..." has wrong tooltip
2. I can add -static option several times (e.g. -static,-static in command line)
3. I can add empty option. Choose 'Other option' and click ok --> empty line
will be added to the list of libraries and options.
Comment 1 Thomas Preisler 2007-05-24 20:43:15 UTC
1) and 3) fixed. 2) is not really a bug. You are allowed to add multiple
instances of -static or -dynamic on the command line ahd we don't check the
order or sequence.
Comment 2 dnikitin 2007-05-25 16:44:32 UTC
I can still reproduce 3) -- can add empty option.

-- choose 'Other option'
-- type several spaces (" ")
-- click ok 
--> empty line will be added.
Comment 3 Thomas Preisler 2007-05-25 17:55:11 UTC
80501 "Add Option" for Dynamic Library
Comment 4 Thomas Preisler 2007-05-25 17:55:44 UTC
checking for spaces.
Comment 5 dnikitin 2007-05-28 13:47:48 UTC
Verified in C/C++ Pack 20070528


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo